// import electiveModels from '/doc/Mind/electiveModels.json'
const Mock = require('mockjs')

module.exports = [
  //  自选专业
  {
    url: '/mock/front/elective/optionalMajors',
    type: 'get',
    response: config => {
      return {
        code: 200,
        msg: 'success',
        data: [
          {
            collegeId: 1,
            collegeName: '北京大学',
            majorCategoryName: '计算机技术',  // 专业类别
            majorCategoryCode: '1',  // 专业编码
            majors: [],          // 类别下分类
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [3, 2] // 匹配哪几个组合？
          },
          {
            collegeId: 2,
            collegeName: '湖南大学',
            majorCategoryName: '医学',  // 专业类别
            majorCategoryCode: '2',  // 专业编码
            majors: [],          // 类别下分类
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [2] // 匹配哪几个组合？
          },
          {
            collegeId: 3,
            collegeName: '中南大学',
            majorCategoryName: '法学',  // 专业类别
            majorCategoryCode: '3',  // 专业编码
            majors: [],          // 类别下分类
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [1, 2] // 匹配哪几个组合？
          },
          {
            collegeId: 3,
            collegeName: '中南大学',
            majorCategoryName: '土木工程',  // 专业类别
            majorCategoryCode: 'a',  // 专业编码
            majors: [],          // 类别下分类
            limitationA: '',
            limitationB: '',
            matchedGroupIds: [1] // 匹配哪几个组合？
          }
        ]
      }
    }
  },
  // 选科报名models
  {
    url: '/mock/front/elective/enroll/getStudentElectiveModels',
    type: 'get',
    response: config => {
      return {
        code: 200,
        msg: 'success',
        data: [
          {
            models: [
              {
                scoreSumGroup: 521,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 1,
                groupName: '物化生',
                classCount: 6,
                personCount: 300,
                rankInGroup: 315,
                rankInGrade: 357,
                allowSelect: true,
                disabledReason: '0',
                selected: false,
                selectedRank: 1,
                actualCount: 320,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 0,
                groupForceAdjustedCount: 0,

                preferenceOverflow: 0,
                nextGroupIndicator: 0,
                nextAllowSelect: false,
                nextRecommend: false
              },

              {
                scoreSumGroup: 548,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 2,
                groupName: '物化政',
                classCount: 4,
                personCount: 200,
                rankInGroup: 14,
                rankInGrade: 62,
                allowSelect: true,
                disabledReason: '0',
                selected: false,
                selectedRank: 1,
                actualCount: 261,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 0,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 511,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 3,
                groupName: '物化地',
                classCount: 5,
                personCount: 250,
                rankInGroup: 47,
                rankInGrade: 69,
                allowSelect: true,
                disabledReason: '0',
                selected: false,
                selectedRank: 1,
                actualCount: 227,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 0,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 578,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 4,
                groupName: '历化生',
                classCount: 5,
                personCount: 250,
                rankInGroup: 51,
                rankInGrade: 85,
                allowSelect: true,
                disabledReason: '0',
                selected: false,
                selectedRank: 1,
                actualCount: 230,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 0,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 513,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 5,
                groupName: '历化政',
                classCount: 7,
                personCount: 350,
                rankInGroup: 23,
                rankInGrade: 73,
                allowSelect: true,
                disabledReason: '0',
                selected: false,
                selectedRank: 1,
                actualCount: 373,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 0,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 535,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 6,
                groupName: '历生地',
                classCount: 3,
                personCount: 150,
                rankInGroup: 43,
                rankInGrade: 77,
                allowSelect: true,
                disabledReason: '0',
                selected: false,
                selectedRank: 1,
                actualCount: 89,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 0,
                groupForceAdjustedCount: 0
              }
            ],
            generation: 1,
            studentId: 1001
          },
          {
            models: [
              {
                scoreSumGroup: 521,
                groupIndicator: 20,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 1,
                groupName: '物化生',
                classCount: 6,
                personCount: 300,
                rankInGroup: 315,
                rankInGrade: 357,
                allowSelect: false,
                disabledReason: '已满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 300,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 548,
                groupIndicator: 61,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 2,
                groupName: '物化政',
                classCount: 4,
                personCount: 200,
                rankInGroup: 14,
                rankInGrade: 62,
                allowSelect: false,
                disabledReason: '已满',
                selected: false,
                selectedRank: 2,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 200,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 511,
                groupIndicator: -23,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 3,
                groupName: '物化地',
                classCount: 5,
                personCount: 250,
                rankInGroup: 47,
                rankInGrade: 69,
                allowSelect: true,
                disabledReason: '已满',
                selected: false,
                selectedRank: 0,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 227,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 578,
                groupIndicator: -20,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 4,
                groupName: '历化生',
                classCount: 5,
                personCount: 250,
                rankInGroup: 51,
                rankInGrade: 85,
                allowSelect: true,
                disabledReason: '已满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 230,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 513,
                groupIndicator: 23,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 5,
                groupName: '历化政',
                classCount: 7,
                personCount: 350,
                rankInGroup: 23,
                rankInGrade: 73,
                allowSelect: false,
                disabledReason: '已满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 350,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 535,
                groupIndicator: -61,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 6,
                groupName: '历生地',
                classCount: 3,
                personCount: 150,
                rankInGroup: 43,
                rankInGrade: 77,
                allowSelect: true,
                disabledReason: '0',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 89,
                groupForceAdjustedCount: 0
              }
            ],
            generation: 2,
            studentId: 1001
          },
          {
            models: [
              {
                scoreSumGroup: 521,
                groupIndicator: 30,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 4,
                rankInDisenroll: 5,
                isRecommend: true,

                groupId: 1,
                groupName: '物化生',
                classCount: 6,
                personCount: 300,
                rankInGroup: 315,
                rankInGrade: 357,
                allowSelect: false,
                disabledReason: '已满',
                selected: false,
                selectedRank: 1,
                actualCount: 20,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 300,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 548,
                groupIndicator: 30,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 2,
                rankInDisenroll: 8,
                isRecommend: true,

                groupId: 2,
                groupName: '物化政',
                classCount: 4,
                personCount: 200,
                rankInGroup: 14,
                rankInGrade: 62,
                allowSelect: false,
                disabledReason: '已满',
                selected: false,
                selectedRank: 2,
                actualCount: 61,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 200,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 511,
                groupIndicator: 30,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 1,
                rankInDisenroll: 6,
                isRecommend: true,

                groupId: 3,
                groupName: '物化地',
                classCount: 5,
                personCount: 250,
                rankInGroup: 47,
                rankInGrade: 69,
                allowSelect: true,
                disabledReason: '已满',
                selected: false,
                selectedRank: 0,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 227,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 578,
                groupIndicator: 30,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 4,
                rankInDisenroll: 7,
                isRecommend: true,

                groupId: 4,
                groupName: '历化生',
                classCount: 5,
                personCount: 250,
                rankInGroup: 51,
                rankInGrade: 85,
                allowSelect: true,
                disabledReason: '已满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 230,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 513,
                groupIndicator: 30,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 2,
                rankInDisenroll: 18,
                isRecommend: true,

                groupId: 5,
                groupName: '历化政',
                classCount: 7,
                personCount: 350,
                rankInGroup: 23,
                rankInGrade: 73,
                allowSelect: false,
                disabledReason: '已满',
                selected: false,
                selectedRank: 1,
                actualCount: 23,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 350,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 535,
                groupIndicator: 30,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 3,
                rankInDisenroll: 12,
                isRecommend: true,

                groupId: 6,
                groupName: '历生地',
                classCount: 3,
                personCount: 150,
                rankInGroup: 43,
                rankInGrade: 77,
                allowSelect: true,
                disabledReason: '已满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 89,
                groupForceAdjustedCount: 0
              }
            ],
            generation: 3,
            studentId: 1001
          },
          {
            models: [
              {
                scoreSumGroup: 521,
                groupIndicator: 2,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 1,
                groupName: '物化生',
                classCount: 6,
                personCount: 300,
                rankInGroup: 315,
                rankInGrade: 357,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 300,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 548,
                groupIndicator: 4,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 2,
                groupName: '物化政',
                classCount: 4,
                personCount: 200,
                rankInGroup: 14,
                rankInGrade: 62,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 2,
                actualCount: 4,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 200,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 511,
                groupIndicator: -2,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 3,
                groupName: '物化地',
                classCount: 5,
                personCount: 250,
                rankInGroup: 47,
                rankInGrade: 69,
                allowSelect: true,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 0,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 248,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 578,
                groupIndicator: -4,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 4,
                groupName: '历化生',
                classCount: 5,
                personCount: 250,
                rankInGroup: 51,
                rankInGrade: 85,
                allowSelect: true,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 246,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 513,
                groupIndicator: 4,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 5,
                groupName: '历化政',
                classCount: 7,
                personCount: 350,
                rankInGroup: 23,
                rankInGrade: 73,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 4,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 350,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 535,
                groupIndicator: -4,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 6,
                groupName: '历生地',
                classCount: 3,
                personCount: 150,
                rankInGroup: 43,
                rankInGrade: 77,
                allowSelect: true,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 146,
                groupForceAdjustedCount: 0
              }
            ],
            generation: 4,
            studentId: 1001
          },
          {
            models: [
              {
                scoreSumGroup: 521,
                groupIndicator: 2,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 1,
                groupName: '物化生',
                classCount: 6,
                personCount: 300,
                rankInGroup: 315,
                rankInGrade: 357,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 300,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 548,
                groupIndicator: 4,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 2,
                groupName: '物化政',
                classCount: 4,
                personCount: 200,
                rankInGroup: 14,
                rankInGrade: 62,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 2,
                actualCount: 4,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 200,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 511,
                groupIndicator: -2,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 3,
                groupName: '物化地',
                classCount: 5,
                personCount: 250,
                rankInGroup: 47,
                rankInGrade: 69,
                allowSelect: true,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 0,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 248,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 578,
                groupIndicator: -4,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 4,
                groupName: '历化生',
                classCount: 5,
                personCount: 250,
                rankInGroup: 51,
                rankInGrade: 85,
                allowSelect: true,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 246,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 513,
                groupIndicator: 4,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 5,
                groupName: '历化政',
                classCount: 7,
                personCount: 350,
                rankInGroup: 23,
                rankInGrade: 73,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 4,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 350,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 535,
                groupIndicator: -4,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 6,
                groupName: '历生地',
                classCount: 3,
                personCount: 150,
                rankInGroup: 43,
                rankInGrade: 77,
                allowSelect: true,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 146,
                groupForceAdjustedCount: 0
              }
            ],
            generation: 5,
            studentId: 1001
          },
          {
            models: [
              {
                scoreSumGroup: 521,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 1,
                groupName: '物化生',
                classCount: 6,
                personCount: 300,
                rankInGroup: 315,
                rankInGrade: 357,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 300,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 548,
                groupIndicator: 1,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 2,
                groupName: '物化政',
                classCount: 4,
                personCount: 200,
                rankInGroup: 14,
                rankInGrade: 62,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 2,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 200,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 511,
                groupIndicator: -1,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 3,
                groupName: '物化地',
                classCount: 5,
                personCount: 250,
                rankInGroup: 47,
                rankInGrade: 69,
                allowSelect: true,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 0,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 249,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 578,
                groupIndicator: -1,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 4,
                groupName: '历化生',
                classCount: 5,
                personCount: 250,
                rankInGroup: 51,
                rankInGrade: 85,
                allowSelect: true,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 249,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 513,
                groupIndicator: 1,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 5,
                groupName: '历化政',
                classCount: 7,
                personCount: 350,
                rankInGroup: 23,
                rankInGrade: 73,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 350,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 535,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 6,
                groupName: '历生地',
                classCount: 3,
                personCount: 150,
                rankInGroup: 43,
                rankInGrade: 77,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 150,
                groupForceAdjustedCount: 0
              }
            ],
            generation: 6,
            studentId: 1001
          },
          {
            models: [
              {
                scoreSumGroup: 521,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 1,
                groupName: '物化生',
                classCount: 6,
                personCount: 300,
                rankInGroup: 315,
                rankInGrade: 357,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 300,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 548,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 2,
                groupName: '物化政',
                classCount: 4,
                personCount: 200,
                rankInGroup: 14,
                rankInGrade: 62,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 2,
                actualCount: 1,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 200,
                groupForceAdjustedCount: 0
              },

              {
                scoreSumGroup: 511,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 3,
                groupName: '物化地',
                classCount: 5,
                personCount: 250,
                rankInGroup: 47,
                rankInGrade: 69,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 0,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 250,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 578,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 4,
                groupName: '历化生',
                classCount: 5,
                personCount: 250,
                rankInGroup: 51,
                rankInGrade: 85,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 250,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 513,
                groupIndicator: 0,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: true,

                groupId: 5,
                groupName: '历化政',
                classCount: 7,
                personCount: 350,
                rankInGroup: 23,
                rankInGrade: 73,
                allowSelect: false,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 1,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 350,
                groupForceAdjustedCount: 0
              },
              {
                scoreSumGroup: 535,
                groupIndicator: -1,
                bestInIndicator: 20,
                rankInBest: 16,
                rankInIndicator: 10,
                rankInDisenroll: 14,
                isRecommend: false,

                groupId: 6,
                groupName: '历生地',
                classCount: 3,
                personCount: 150,
                rankInGroup: 43,
                rankInGrade: 77,
                allowSelect: true,
                disabledReason: '已报满',
                selected: false,
                selectedRank: 1,
                actualCount: 0,
                approved: false,
                forceAdjusted: false,
                groupApprovedCount: 149,
                groupForceAdjustedCount: 0
              }
            ],
            generation: 7,
            studentId: 1001
          }
        ]
      }
    }
  }
  // 选科报名models
  // {
  //   url: '/mock/front/elective/studentElectiveModels',
  //   type:'get',
  //   response: config => {
  //     return {
  //       code: '200',
  //       msg: 'success',
  //       data: [
  //         {
  //           "models": [
  //             {
  //               "groupId": 1,
  //               "groupName": '物化生',
  //               "classCount": 6,
  //               "personCount": 300,
  //               "rankInGroup": 290,
  //               "rankInGrade": 357,
  //               "allowSelect": true,
  //               "disabledReason": '0',
  //               "selected": false,
  //               "selectedRank": 1,
  //               "actualCount": 320,
  //               "approved": false,
  //               "forceAdjusted": false,
  //               "groupApprovedCount":0,
  //               "groupForceAdjustedCount": 0
  //             }
  //           ],
  //           "generation": 1,
  //           "studentId": 1001
  //         },
  //         {
  //           "models": [
  //             {
  //               "groupId": 1,
  //               "groupName": '物化生',
  //               "classCount": 6,
  //               "personCount": 300,
  //               "rankInGroup": 290,
  //               "rankInGrade": 357,
  //               "allowSelect": true,
  //               "disabledReason": '',
  //               "selected": false,
  //               "selectedRank": 1,
  //               "actualCount": 320,
  //               "approved": false,
  //               "forceAdjusted": false,
  //               "groupApprovedCount": 300,
  //               "groupForceAdjustedCount": 0
  //             }
  //           ],
  //           "generation": 2,
  //           "studentId": 1001
  //         },
  //         {
  //           "models": [
  //             {
  //               "groupIndicator":30,
  //               "rankInIndicator": 14,
  //               "rankInBest": 16,
  //               "rankInDisenroll": 0,
  //               "bestInIndicator": 20,
  //               "scoreSumAll": 0,
  //               "scoreSumGroup": 514,
  //               "isRecommend": false,
  //               "groupId": 1,
  //               "groupName": '物化生',
  //               "classCount": 6,
  //               "personCount": 300,
  //               "rankInGroup": 10,
  //               "rankInGrade": 357,
  //               "allowSelect": true,
  //               "disabledReason": '',
  //               "selected": false,
  //               "selectedRank": 1,
  //               "actualCount": 320,
  //               "approved": false,
  //               "forceAdjusted": false,
  //               "groupApprovedCount": 300,
  //               "groupForceAdjustedCount": 0
  //             }
  //           ],
  //           "generation": 3,
  //           "studentId": 1001
  //         },
  //         {
  //           "models": [
  //             {
  //               "groupIndicator":30,
  //               "rankInIndicator": 14,
  //               "rankInBest": 16,
  //               "rankInDisenroll": 0,
  //               "bestInIndicator": 20,
  //               "scoreSumAll": 0,
  //               "scoreSumGroup": 514,
  //               "isRecommend": false,
  //               "groupId": 1,
  //               "groupName": '物化生',
  //               "classCount": 6,
  //               "personCount": 300,
  //               "rankInGroup": 10,
  //               "rankInGrade": 357,
  //               "allowSelect": true,
  //               "disabledReason": '',
  //               "selected": false,
  //               "selectedRank": 1,
  //               "actualCount": 302,
  //               "approved": false,
  //               "forceAdjusted": false,
  //               "groupApprovedCount": 300,
  //               "groupForceAdjustedCount": 0
  //             }
  //           ],
  //           "generation": 4,
  //           "studentId": 1001
  //         },
  //         {
  //           "models": [
  //             {
  //               "groupIndicator":30,
  //               "rankInIndicator": 14,
  //               "rankInBest": 16,
  //               "rankInDisenroll": 0,
  //               "bestInIndicator": 20,
  //               "scoreSumAll": 0,
  //               "scoreSumGroup": 514,
  //               "isRecommend": false,
  //               "groupId": 1,
  //               "groupName": '物化生',
  //               "classCount": 6,
  //               "personCount": 300,
  //               "rankInGroup": 10,
  //               "rankInGrade": 357,
  //               "allowSelect": true,
  //               "disabledReason": '',
  //               "selected": false,
  //               "selectedRank": 1,
  //               "actualCount": 302,
  //               "approved": false,
  //               "forceAdjusted": false,
  //               "groupApprovedCount": 300,
  //               "groupForceAdjustedCount": 0
  //             }
  //           ],
  //           "generation": 5,
  //           "studentId": 1001
  //         },
  //         {
  //           "models": [
  //             {
  //               "groupIndicator": 30,
  //               "rankInIndicator": 14,
  //               "rankInBest": 16,
  //               "rankInDisenroll": 0,
  //               "bestInIndicator": 20,
  //               "scoreSumAll": 0,
  //               "scoreSumGroup": 514,
  //               "isRecommend": false,
  //               "groupId": 1,
  //               "groupName": '物化生',
  //               "classCount": 6,
  //               "personCount": 300,
  //               "rankInGroup": 10,
  //               "rankInGrade": 357,
  //               "allowSelect": true,
  //               "disabledReason": '',
  //               "selected": false,
  //               "selectedRank": 1,
  //               "actualCount": 300,
  //               "approved": false,
  //               "forceAdjusted": false,
  //               "groupApprovedCount": 300,
  //               "groupForceAdjustedCount": 0
  //             }
  //           ],
  //           "generation": 6,
  //           "studentId": 1001
  //         },
  //         {
  //           "models": [
  //             {
  //               "groupIndicator":30,
  //               "rankInIndicator": 14,
  //               "rankInBest": 16,
  //               "rankInDisenroll": 0,
  //               "bestInIndicator": 20,
  //               "scoreSumAll": 0,
  //               "scoreSumGroup": 514,
  //               "isRecommend": false,
  //               "groupId": 1,
  //               "groupName": '物化生',
  //               "classCount": 6,
  //               "personCount": 300,
  //               "rankInGroup": 10,
  //               "rankInGrade": 357,
  //               "allowSelect": true,
  //               "disabledReason": '',
  //               "selected": false,
  //               "selectedRank": 1,
  //               "actualCount": 300,
  //               "approved": false,
  //               "forceAdjusted": false,
  //               "groupApprovedCount": 300,
  //               "groupForceAdjustedCount": 0
  //             }
  //           ],
  //           "generation": 7,
  //           "studentId": 1001
  //         }
  //       ]
  //     }
  //   }
  // }
]
