import request from '@/utils/request'

// 00 生涯课程类型
export function types(params) {
    return request({
        url: '/front/sykc/types',
        method: 'get',
        params: params
    })
}

// 01 生涯课程列表
export function list(params) {
    return request({
        url: '/front/sykc/list',
        method: 'get',
        params: params
    })
}
export function listNoToken(params) {
  return request({
    url: '/front/sykc/listNoToken',
    method: 'get',
    params: params,
    withoutToken: true
  })
}

// 02 生涯课程详情
export function info(params) {
    return request({
        url: '/front/sykc/info',
        method: 'get',
        params: params
    })
}

/**
 * 查询院校列表数据筛选项
 */
export function selectUniversity(){
  return request({
    url:`/front/university/filters`,
    method:'get'
  })
}

/**
 * 查询院校列表数据筛选项
 */
export function universityFilters(){
  return request({
    url:`/front/university/filters`,
    method:'get'
  })
}
/**
 * 点击详情增加点击量
 */
export function saveUniversitiesHits(params){
  return request({
    url:`/front/university/saveUniversitiesHits`,
    method:'post',
    params: params
  })
}

/**
 * 院校列表
 */
export function selectUniversityList( params){
  return request({
    url:`/front/university/list`,
    method:'get',
    params: params
  })
}
/**
 * 查询院校详情
 */
export function selectUniversityDetail(params){
  return request({
    url:`/front/university/detail`,
    method:'get',
    params:params
  })
}

//  是否为新高考
export function isNewCollegeExam(params) {
  return request({
      url: '/front/syzy/zytb/getUserIsUseNewCollegeEntranceExam',
      method: 'get',
      params: params
  })
}

// 招生简章
export function enrollBrochure(params) {
  return request({
    url: '/front/university/getUniversitiesEnrollBrochure',
    method: 'get',
    params: params
  })
}
// 院校风采
export function universitiesStyle(params) {
  return request({
    url: '/front/university/getUniversitiesStyle',
    method: 'get',
    params: params
  })
}


// 保存招生简章热度/点击
export function saveEnrollBrochureHits(params) {
  return request({
    url: '/front/university/saveUniversitiesEnrollBrochureHits',
    method: 'post',
    params: params
  })
}

// 获取学科评估类型
export function evaluateType(params) {
  return request({
    url: '/system/dict/data/type/subject_evaluate_type',
    method: 'get',
    params: params
  })
}

// 排名筛选
export function rankingFilter(params) {
  return request({
    url: '/front/university/getUniversitiesRankingFilter',
    method: 'get',
    params: params
  })
}

// 排名列表
export function universitiesRanking(params) {
  return request({
    url: '/front/university/getUniversitiesRanking',
    method: 'get',
    params: params
  })
}

// 专业开设院校
export function getUniversityByCode(params) {
  return request({
    url: '/front/major/getUniversityByCode',
    method: 'get',
    params: params
  })
}

// 根据分数和科类获取位次
export function getRankByScore(params) {
  return request({
    url: '/front/syzy/yfyd/getRankByScore',
    method: 'get',
    params: params
  })
}
