import request from '@/utils/request'

// 查询 ROUND
export function getRound(params) {
  return request({
    url: '/front/elective/classes/round',
    method: 'get',
    params
  })
}

// 查询分班配置
export function getSettings(params) {
  return request({
    url: '/front/elective/classes/settings',
    method: 'get',
    params
  })
}

// // 保存分班配置
// export function saveSettings(query,data) {
//   return request({
//     url: '/front/elective/classes/settings',
//     method: 'post',
//     params: query,
//     data: data
//   })
// }

// 应用分班配置
export function applySettings(query,data) {
  return request({
    url: '/front/elective/classes/settings/apply',
    method: 'post',
    params:query,
    data:data
  })
}

// 分派名单查询
export function classesResult(params) {
  return request({
    url: '/front/elective/classes/result',
    method: 'get',
    params
  })
}

// 分派转移
export function resultDispatch(data) {
  return request({
    url: '/front/elective/classes/result/dispatch',
    method: 'post',
    data
  })
}

// 锁定分班
export function lockDispatch(params) {
  return request({
    url: '/front/elective/classes/',
    method: 'post',
    params
  })
}

// 所属组合班级
export function getClass(params) {
  return request({
    url: '/front/elective/classes/list',
    method: 'get',
    params
  })
}

// mock 学生分班详情
// export function getDispatchResult(params) {
//   return request({
//     url: '/mock/front/report/getDispatchResult',
//     method: 'get',
//     params
//   })
// }

// 获取班主任分班settings
export function getTeacherSettings(params) {
  return request({
    url: '/front/elective/classes/teacher/settings',
    method: 'get',
    params
  })
}

// 维持所有原班级班主任
export function keepAllOfTeacher(params) {
  return request({
    url: '/front/elective/classes/teacher/keep',
    method: 'post',
    params
  })
}

// 保存班主任分班settings
export function saveTeacherSettings(params) {
  return request({
    url: '/front/elective/classes/teacher/settings',
    method: 'post',
    params
  })
}

// 获取当前学生分班或者班主任分班设置
export function getPublish(params) {
  return request({
    url: '/front/elective/classes/publish',
    method: 'get',
    params
  })
}

// 分配完毕后发布，锁定分班流程，与班主任分班共享设置时间
export function lockPublish(data) {
  return request({
    url: '/front/elective/classes/publish',
    method: 'post',
    data
  })
}

// 锁定班主任分班流程，与学生分班共享设置时间
export function lockPublishTeachers(data) {
  return request({
    url: '/front/elective/classes/publicTeachers',
    method: 'post',
    data
  })
}
// getDispatchSharedSetting
