import cacheMixin from '@/components/Cache/mx-cache-mixin.js'

export default {
  mixins: [cacheMixin],
  data() {
    return {
      masterMajorList: [],
      specialtyMajorList: [],
      masterTreeReady: false,
      specialtyTreeReady: false
    }
  },
  beforeMount() {
    this.loadMasterMajorTree()
    this.loadSpecialtyMajorTree()
  },
  methods: {
    async loadMasterMajorTree() {
      this.masterMajorList = await this.getMasterMajorTree()
      this.masterTreeReady = true
      console.log('master-major-ready')
    },
    async loadSpecialtyMajorTree() {
      this.specialtyMajorList = await this.getSpecialtyMajorTree()
      this.specialtyTreeReady = true
      console.log('specialty-major-ready')
    },
  }
}
