import conditionObjectBase from '../condition-object-base.js'
import {
  getSchoolRounds
} from '@/api/webApi/selection.js'
import store from '@/store/index'

export default {
  ...conditionObjectBase,
  key: 'studentRoundId',
  title: '选科次数',
  getList: function() {
    return new Promise((resolve, reject) => {
      getSchoolRounds({ year: store.getters.currentUser.year })
        .then(res => resolve(res.data))
        .catch(e => reject(e))
    })
  },
  getCode: function(item) {
    return item.roundId
  },
  getLabel: function(item) {
    return item.name
  }
}
