import conditionObjectBase from '../condition-object-base.js'
import {
  videoGrades,
} from "@/api/webApi/webVideo";

export default {
  ...conditionObjectBase,
  key: 'videoGrade',
  neverCache:true,
  dependentKeys: ['videoCourse'],
  isDependencyReady(params) {
    return params.videoCourse
  },
  title: '年级',
  getList: function(param,$ref) {
    return new Promise((resolve, reject) => {
      videoGrades({ course:param.videoCourse,subject:$ref.model.videoType }).then(res => resolve(
        res.rows.map(item => {
          return {
            code:item.code,
            label:item.label
          }
        })
      ))
        .catch(e => reject(e))
    })
  },
  getCode: function(item) {
    return item.code
  },
  getLabel: function(item) {
    return item.label
  }
}
