import conditionObjectBase from '../condition-object-base.js'
import {
  packList,
} from "@/api/webApi/webVideo";

export default {
  ...conditionObjectBase,
  key: 'videoPack',
  neverCache:true,
  dependentKeys: ['videoVersion'],
  isDependencyReady(params) {
    return  params.videoVersion
  },
  title: '学册',
  getList: function(param,$ref) {
    return new Promise((resolve, reject) => {
      packList({
        course:$ref.model.videoCourse,
        subject:$ref.model.videoType,
        grade:$ref.model.videoGrade,
        pageNum:1,
        pageSize:20,
        version:param.videoVersion
      }).then(res => resolve(res.rows))
        .catch(e => reject(e))
    })
  },
  getCode: function(item) {
    return item.value
  },
  getLabel: function(item) {
    return item.label
  }
}
