import conditionObjectBase from '../condition-object-base.js'
import {
  videoSubjects,
} from "@/api/webApi/webVideo";

export default {
  ...conditionObjectBase,
  key: 'videoCourse',
  dependentKeys: ['videoType'],
  isDependencyReady(params) {
    return params.videoType
  },
  title: '科目',
  getList: function(param,$ref) {
    return new Promise((resolve, reject) => {
      videoSubjects({ subject:param.videoType }).then(res => resolve(
        res.rows.map(item => {
          return {
            code: item.code,
            label:item.label
          }
        })
      ))
        .catch(e => reject(e))
    })
  },
  getCode: function(item) {
    return item.code
  },
  getLabel: function(item) {
    return item.label
  }
}
