import conditionObjectBase from '../condition-object-base.js'
import {
  videoVersions,
} from "@/api/webApi/webVideo";

export default {
  ...conditionObjectBase,
  key: 'videoVersion',
  neverCache:true,
  dependentKeys: ['videoGrade'],
  isDependencyReady(params) {
    return params.videoGrade
  },
  title: '版本',
  getList: function(param,$ref) {
    return new Promise((resolve, reject) => {
      videoVersions({
        course:$ref.model.videoCourse,
        subject:$ref.model.videoType,
        grade:param.videoGrade }).then(res => resolve(
          res.rows.map(item => {
            return {
              code: item.code,
              label:item.label
            }
          })
      ))
        .catch(e => reject(e))
    })
  },
  getCode: function(item) {
    return item.code
  },
  getLabel: function(item) {
    return item.label
  }
}
