import consts from '@/common/mx-const'
import { mapGetters } from 'vuex'

export default {
  computed: {
    ...mapGetters(['hasPermissions'])
  },
  methods: {
    primaryResolver(model, activeModel, context) {
      const models = model?.models || []
      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId) || {}
        item.applyCount = `${currentGroup.actualCount} /${currentGroup.personCount}`
      })

      if (activeModel.generation < 4) {
        return {
          applyCount: {
            label: '选科人数比',
            hidden: !this.hasPermissions([consts.enum.electivePermission.applyCount])
          }
        }
      } else {
        return {}
      }

    }
  }
}
